Bug 1332533 - ns-accountstatus.pl gives error message on execution along with results.
Summary: ns-accountstatus.pl gives error message on execution along with results.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.3
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-03 12:22 UTC by Amita Sharma
Modified: 2016-11-03 20:41 UTC (History)
4 users (show)

Fixed In Version: 389-ds-base-1.3.5.5-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 20:41:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2594 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2016-11-03 12:11:08 UTC

Description Amita Sharma 2016-05-03 12:22:51 UTC
Description of problem:
ns-accountstatus.pl gives error message on execution along with results.

Version-Release number of selected component (if applicable):
[root@ibm-x3250m4-04 yum.repos.d]# rpm -qa | grep 389
389-ds-base-1.3.5.2-1.el7.x86_64
389-ds-base-libs-1.3.5.2-1.el7.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Setup DS
2. Create ldif file of 1000 users using dbgen.pl
3. add 1000 users using ldapadd
4. ns-accountstatus.pl -D "cn=Directory Manager" -w Secret123 -Z slapd-ibm-x3250m4-04 -p 389 -h localhost -b "dc=example,dc=com" -f givenname=* 

[root@ibm-x3250m4-04 export]# ns-accountstatus.pl -D "cn=Directory Manager" -w Secret123 -Z slapd-ibm-x3250m4-04 -p 389 -h localhost -b "dc=example,dc=com" -f givenname=* 
uid=VChalker3339363799,ou=Human Resources,dc=example,dc=com - activated.
uid=DDa3296903592,ou=Product Testing,dc=example,dc=com - activated.
uid=LNosewort3448819975,ou=Payroll,dc=example,dc=com - activated.
uid=HSiu2407396923,ou=Product Development,dc=example,dc=com - activated.
uid=MClocklab89074690,ou=Product Development,dc=example,dc=com - activated.
uid=SKurniawa835765406,ou=Payroll,dc=example,dc=com - activated.
uid=BAngobald3638662746,ou=Payroll,dc=example,dc=com - activated.
uid=LDantu1647639336,ou=Product Testing,dc=example,dc=com - activated.
uid=MPeedin3649735727,ou=Accounting,dc=example,dc=com - activated.
uid=KZeitler1850103090,ou=Accounting,dc=example,dc=com - activated.
uid=KRiley3622582378,ou=Human Resources,dc=example,dc=com - activated.
uid=EKowal523979035,ou=Payroll,dc=example,dc=com - activated.
uid=LDolginof2564907620,ou=Human Resources,dc=example,dc=com - activated.
uid=DHickox760359723,ou=Human Resources,dc=example,dc=com - activated.
uid=EBoyajian1930937782,ou=Human Resources,dc=example,dc=com - activated.
uid=MRowley1695257764,ou=Product Development,dc=example,dc=com - activated.
uid=ZWaddick1917466876,ou=Accounting,dc=example,dc=com - activated.
uid=ADaunais873812775,ou=Product Development,dc=example,dc=com - activated.
uid=EMyrick259752538,ou=Accounting,dc=example,dc=com - activated.
uid=GSchreine1596540271,ou=Product Testing,dc=example,dc=com - activated.
uid=PHarderse1739085390,ou=Payroll,dc=example,dc=com - activated.
uid=PBarlow1758634196,ou=Accounting,dc=example,dc=com - activated.
uid=PConlin1716816595,ou=Accounting,dc=example,dc=com - activated.
uid=ADace3507829649,ou=Product Development,dc=example,dc=com - activated.
uid=MBen-Isha1902298347,ou=Human Resources,dc=example,dc=com - activated.
uid=DBratten2063389949,ou=Product Development,dc=example,dc=com - activated.
uid=PRemson1056662582,ou=Product Development,dc=example,dc=com - activated.
uid=ESalyniuk1090561544,ou=Product Development,dc=example,dc=com - activated.
uid=REvely647137948,ou=Product Development,dc=example,dc=com - activated.
uid=CMcCraney3485760145,ou=Accounting,dc=example,dc=com - activated.
uid=NEly44948168,ou=Accounting,dc=example,dc=com - activated.
uid=SBryttan2866895801,ou=Human Resources,dc=example,dc=com - activated.
uid=SNewsom3053378545,ou=Human Resources,dc=example,dc=com - activated.
uid=MBrooks1895281056,ou=Product Testing,dc=example,dc=com - activated.
uid=BVirchick2276870269,ou=Payroll,dc=example,dc=com - activated.
uid=OSilverth2942061133,ou=Product Development,dc=example,dc=com - activated.
uid=RNewell886442966,ou=Product Development,dc=example,dc=com - activated.
uid=VRoohy-La3090340548,ou=Payroll,dc=example,dc=com - activated.
uid=DBruner-U1531217843,ou=Product Testing,dc=example,dc=com - activated.
uid=JKacsor30400536,ou=Product Testing,dc=example,dc=com - activated.
uid=HThibeaul909545740,ou=Product Testing,dc=example,dc=com - activated.
uid=SKummer2754444458,ou=Product Development,dc=example,dc=com - activated.
uid=ASchiller908964650,ou=Accounting,dc=example,dc=com - activated.
uid=BPartovi875373566,ou=Product Testing,dc=example,dc=com - activated.
uid=DVarsava1659583704,ou=Product Development,dc=example,dc=com - activated.
uid=BArai2859904003,ou=Human Resources,dc=example,dc=com - activated.
uid=PMoeschet235367312,ou=Human Resources,dc=example,dc=com - activated.
uid=JSoumis304026597,ou=Accounting,dc=example,dc=com - activated.
uid=NPedneaul234695529,ou=Product Testing,dc=example,dc=com - activated.
uid=RKeim820651749,ou=Product Development,dc=example,dc=com - activated.
uid=CEnsign1862713879,ou=Product Development,dc=example,dc=com - activated.
uid=FNoah1205484851,ou=Accounting,dc=example,dc=com - activated.
uid=EGysel1831274842,ou=Product Development,dc=example,dc=com - activated.
uid=CAwan1547347611,ou=Product Development,dc=example,dc=com - activated.
uid=STrent2493961026,ou=Product Testing,dc=example,dc=com - activated.
uid=CDe Vito3596459761,ou=Payroll,dc=example,dc=com - activated.
uid=MFalconer3064241832,ou=Payroll,dc=example,dc=com - activated.
uid=QTrachsel292205205,ou=Product Development,dc=example,dc=com - activated.
uid=MBedard1507970940,ou=Human Resources,dc=example,dc=com - activated.
uid=EAntonell3024343986,ou=Product Development,dc=example,dc=com - activated.
uid=MSamson2297793885,ou=Accounting,dc=example,dc=com - activated.
uid=SRolph1336866658,ou=Product Testing,dc=example,dc=com - activated.
uid=JPortigal412040935,ou=Human Resources,dc=example,dc=com - activated.
uid=SSapena613816509,ou=Accounting,dc=example,dc=com - activated.
uid=SCaine1462160477,ou=Accounting,dc=example,dc=com - activated.
uid=HSaran997130637,ou=Product Testing,dc=example,dc=com - activated.
uid=KViegas2737595301,ou=Product Testing,dc=example,dc=com - activated.
uid=SRacette112269068,ou=Human Resources,dc=example,dc=com - activated.
uid=DMuldoon568207472,ou=Human Resources,dc=example,dc=com - activated.
uid=GTorres2817260887,ou=Accounting,dc=example,dc=com - activated.
uid=RLidster2527407906,ou=Accounting,dc=example,dc=com - activated.
uid=HSwann2602435114,ou=Payroll,dc=example,dc=com - activated.
uid=KMeyerink1059861604,ou=Product Development,dc=example,dc=com - activated.
uid=BSummers1369810937,ou=Product Testing,dc=example,dc=com - activated.
uid=PMatteau2147115225,ou=Product Testing,dc=example,dc=com - activated.
uid=HGoatcher2610479039,ou=Payroll,dc=example,dc=com - activated.
uid=HGorhum1519570081,ou=Payroll,dc=example,dc=com - activated.
uid=RCuervo447840610,ou=Payroll,dc=example,dc=com - activated.
uid=AMontreal2280384332,ou=Product Testing,dc=example,dc=com - activated.
uid=NAgostino1673100579,ou=Human Resources,dc=example,dc=com - activated.
uid=SReimann547838312,ou=Product Development,dc=example,dc=com - activated.
uid=VDeforeit736513634,ou=Human Resources,dc=example,dc=com - activated.
uid=THeckman3683890350,ou=Payroll,dc=example,dc=com - activated.
uid=SFalconer2001571458,ou=Product Development,dc=example,dc=com - activated.
uid=RMabes1334795249,ou=Product Development,dc=example,dc=com - activated.
uid=DTouchett1725806999,ou=Payroll,dc=example,dc=com - activated.
uid=AKrotish1616701521,ou=Product Testing,dc=example,dc=com - activated.
uid=SWeiss2451584152,ou=Human Resources,dc=example,dc=com - activated.
uid=GAmundsen948867390,ou=Human Resources,dc=example,dc=com - activated.
uid=HStarzman2550712090,ou=Accounting,dc=example,dc=com - activated.
uid=AScheuerm1527003784,ou=Payroll,dc=example,dc=com - activated.
uid=BZabek606474483,ou=Human Resources,dc=example,dc=com - activated.
uid=YBessuill1242622487,ou=Payroll,dc=example,dc=com - activated.
uid=HRisto821570055,ou=Payroll,dc=example,dc=com - activated.
uid=LMuhammed2610169362,ou=Payroll,dc=example,dc=com - activated.
uid=TBlander1520194496,ou=Product Development,dc=example,dc=com - activated.
uid=JSrikrish310837722,ou=Product Development,dc=example,dc=com - activated.
uid=GGaines2989935360,ou=Human Resources,dc=example,dc=com - activated.
uid=DMader2782007665,ou=Human Resources,dc=example,dc=com - activated.
uid=SWada3158660976,ou=Product Development,dc=example,dc=com - activated.
uid=ACollins1303510455,ou=Accounting,dc=example,dc=com - activated.
uid=BShingler3324654311,ou=Product Testing,dc=example,dc=com - activated.
uid=SSnedden1647770684,ou=Product Development,dc=example,dc=com - activated.
uid=BRohan15506346,ou=Human Resources,dc=example,dc=com - activated.
uid=CSlaby1806805444,ou=Payroll,dc=example,dc=com - activated.
uid=PFirat451437471,ou=Human Resources,dc=example,dc=com - activated.
uid=RLoos339453086,ou=Payroll,dc=example,dc=com - activated.
uid=ILombardo1357827139,ou=Accounting,dc=example,dc=com - activated.
uid=ALysinger3116989614,ou=Product Testing,dc=example,dc=com - activated.
uid=JOsborne3249639006,ou=Human Resources,dc=example,dc=com - activated.
uid=SPlamondo18169158,ou=Human Resources,dc=example,dc=com - activated.
uid=NFajardo1643760973,ou=Human Resources,dc=example,dc=com - activated.
uid=VDickerso1521152651,ou=Payroll,dc=example,dc=com - activated.
uid=CRezzik221923309,ou=Human Resources,dc=example,dc=com - activated.
uid=CMyer3461174395,ou=Human Resources,dc=example,dc=com - activated.
uid=BInman492579091,ou=Payroll,dc=example,dc=com - activated.
uid=NMcKerrow432392970,ou=Product Testing,dc=example,dc=com - activated.
uid=GStampley1690018515,ou=Product Development,dc=example,dc=com - activated.
uid=HJudd3409753679,ou=Human Resources,dc=example,dc=com - activated.
uid=MGoulette740133961,ou=Product Development,dc=example,dc=com - activated.
uid=UHennebur3080181293,ou=Payroll,dc=example,dc=com - activated.
uid=WOrd3066473010,ou=Payroll,dc=example,dc=com - activated.
uid=LChityal2647728308,ou=Human Resources,dc=example,dc=com - activated.
uid=HMarling3368748587,ou=Product Testing,dc=example,dc=com - activated.
uid=MClancy1674803700,ou=Human Resources,dc=example,dc=com - activated.
uid=TTurney1820012876,ou=Product Development,dc=example,dc=com - activated.
uid=NDantzler2005881276,ou=Product Testing,dc=example,dc=com - activated.
uid=SLoyd3645715136,ou=Human Resources,dc=example,dc=com - activated.
uid=FHardwick1466017442,ou=Product Development,dc=example,dc=com - activated.
uid=ACholet1354385117,ou=Payroll,dc=example,dc=com - activated.
uid=CFriedl881714866,ou=Payroll,dc=example,dc=com - activated.
uid=JDunstan1389336341,ou=Product Testing,dc=example,dc=com - activated.
uid=SCadshare2196138899,ou=Product Development,dc=example,dc=com - activated.
uid=IPimisker132004783,ou=Accounting,dc=example,dc=com - activated.
uid=ARudisill2562924627,ou=Human Resources,dc=example,dc=com - activated.
uid=SRacicot373265238,ou=Human Resources,dc=example,dc=com - activated.
uid=PMilne959658029,ou=Accounting,dc=example,dc=com - activated.
uid=CMarano2597007296,ou=Accounting,dc=example,dc=com - activated.
uid=VChenard573664737,ou=Human Resources,dc=example,dc=com - activated.
uid=YRehbein1512576533,ou=Payroll,dc=example,dc=com - activated.
uid=MJacques902471409,ou=Accounting,dc=example,dc=com - activated.
uid=MHelseth1639196915,ou=Product Testing,dc=example,dc=com - activated.
uid=PPaulovic3161228898,ou=Payroll,dc=example,dc=com - activated.
uid=SHashemi2865927214,ou=Accounting,dc=example,dc=com - activated.
uid=BAzar2671896319,ou=Product Development,dc=example,dc=com - activated.
uid=LTariq2585457507,ou=Accounting,dc=example,dc=com - activated.
uid=PHasen1860032591,ou=Product Testing,dc=example,dc=com - activated.
uid=MProsise3672751464,ou=Product Testing,dc=example,dc=com - activated.
uid=ADamiano1350513815,ou=Payroll,dc=example,dc=com - activated.
uid=JLangley2514795993,ou=Product Testing,dc=example,dc=com - activated.
uid=GWelham2049836644,ou=Product Testing,dc=example,dc=com - activated.
uid=RSystest1757617017,ou=Product Development,dc=example,dc=com - activated.
uid=JKoolstra2437417913,ou=Product Development,dc=example,dc=com - activated.
uid=SFaust169117375,ou=Product Development,dc=example,dc=com - activated.
uid=MHehn-Sch1496888268,ou=Payroll,dc=example,dc=com - activated.
uid=BRathbun1257439213,ou=Product Testing,dc=example,dc=com - activated.
uid=JSurreau1052876739,ou=Product Development,dc=example,dc=com - activated.
uid=ABeaubien2370055274,ou=Accounting,dc=example,dc=com - activated.
uid=DDunstan2259387668,ou=Accounting,dc=example,dc=com - activated.
uid=DAssistan1921730418,ou=Human Resources,dc=example,dc=com - activated.
uid=KNarayana39811939,ou=Accounting,dc=example,dc=com - activated.
uid=LVonreich307105678,ou=Payroll,dc=example,dc=com - activated.
uid=ARumley3367996809,ou=Accounting,dc=example,dc=com - activated.
uid=NNewham2054050445,ou=Accounting,dc=example,dc=com - activated.
uid=RMugniot68558677,ou=Payroll,dc=example,dc=com - activated.
uid=UMansoura2214044573,ou=Payroll,dc=example,dc=com - activated.
uid=SLuetke331647089,ou=Human Resources,dc=example,dc=com - activated.
uid=ILangner1576626774,ou=Payroll,dc=example,dc=com - activated.
uid=AWroblews1791446045,ou=Product Development,dc=example,dc=com - activated.
uid=FLauzon384031351,ou=Accounting,dc=example,dc=com - activated.
uid=TLunn2971509185,ou=Human Resources,dc=example,dc=com - activated.
uid=AChing2156655318,ou=Product Testing,dc=example,dc=com - activated.
uid=WWittman3030080072,ou=Product Development,dc=example,dc=com - activated.
uid=TLind393058423,ou=Human Resources,dc=example,dc=com - activated.
uid=DHately1506995482,ou=Accounting,dc=example,dc=com - activated.
uid=DNilsson1642255185,ou=Payroll,dc=example,dc=com - activated.
uid=SBlyszcza412108786,ou=Product Development,dc=example,dc=com - activated.
uid=BCoallier1411376771,ou=Human Resources,dc=example,dc=com - activated.
uid=CBattisto3105348250,ou=Human Resources,dc=example,dc=com - activated.
uid=BEastland912499127,ou=Product Development,dc=example,dc=com - activated.
uid=KGedman2493736986,ou=Payroll,dc=example,dc=com - activated.
uid=AKimble3537218148,ou=Payroll,dc=example,dc=com - activated.
uid=SDropin591981309,ou=Product Testing,dc=example,dc=com - activated.
uid=BVandewou898195829,ou=Product Testing,dc=example,dc=com - activated.
uid=REveritt1640551559,ou=Product Testing,dc=example,dc=com - activated.
uid=RDe La1535209270,ou=Product Development,dc=example,dc=com - activated.
uid=FSchumann2230147724,ou=Payroll,dc=example,dc=com - activated.
uid=MRossi990980919,ou=Product Testing,dc=example,dc=com - activated.
uid=BOldright1140143592,ou=Product Development,dc=example,dc=com - activated.
uid=ADeStefan614358826,ou=Product Testing,dc=example,dc=com - activated.
uid=RFletcher2179917741,ou=Payroll,dc=example,dc=com - activated.
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file


Access logs::
=================
[03/May/2016:08:08:39.419373499 -0400] conn=1725 op=1 SRCH base="cn=nsdisabledrole,dc=example,dc=com" scope=0 filter="(|(objectClass=*)(objectClass=ldapsubentry))" attrs="nsRoleDN"
[03/May/2016:08:08:39.419451871 -0400] conn=1725 op=1 RESULT err=32 tag=101 nentries=0 etime=0
[03/May/2016:08:08:39.419576558 -0400] conn=1725 op=2 UNBIND
[03/May/2016:08:08:39.419584601 -0400] conn=1725 op=2 fd=64 closed - U1
[03/May/2016:08:08:39.423228848 -0400] conn=1726 fd=65 slot=65 connection from ::1 to ::1
[03/May/2016:08:08:39.423300156 -0400] conn=1726 op=0 BIND dn="cn=Directory Manager" method=128 version=3
[03/May/2016:08:08:39.423343588 -0400] conn=1726 op=0 RESULT err=0 tag=97 nentries=0 etime=0 dn="cn=directory manager"
[03/May/2016:08:08:39.423448556 -0400] conn=1726 op=1 SRCH base="uid=ND'Silva1572145084,ou=Product Testing,dc=example,dc=com" scope=0 filter="(&(objectClass=LDAPsubentry)(objectClass=nsRoleDefinition))" attrs="nsRoleDN"
[03/May/2016:08:08:39.423495450 -0400] conn=1726 op=1 RESULT err=0 tag=101 nentries=0 etime=0
[03/May/2016:08:08:39.423597323 -0400] conn=1726 op=2 UNBIND
[03/May/2016:08:08:39.423605430 -0400] conn=1726 op=2 fd=65 closed - U1
[03/May/2016:08:08:39.427092755 -0400] conn=1727 fd=64 slot=64 connection from ::1 to ::1
[03/May/2016:08:08:39.427162838 -0400] conn=1727 op=0 BIND dn="cn=Directory Manager" method=128 version=3
[03/May/2016:08:08:39.427205261 -0400] conn=1727 op=0 RESULT err=0 tag=97 nentries=0 etime=0 dn="cn=directory manager"
[03/May/2016:08:08:39.427322825 -0400] conn=1727 op=1 SRCH base="cn=Account Policy Plugin,cn=plugins,cn=config" scope=0 filter="(&(objectClass=top)(nsslapd-pluginarg0=*))" attrs="nsslapd-pluginEnabled nsslapd-pluginarg0"
[03/May/2016:08:08:39.427384913 -0400] conn=1727 op=1 RESULT err=0 tag=101 nentries=0 etime=0
[03/May/2016:08:08:39.427513336 -0400] conn=1727 op=2 UNBIND
[03/May/2016:08:08:39.427521327 -0400] conn=1727 op=2 fd=64 closed - U1
[03/May/2016:08:08:39.431050154 -0400] conn=1728 fd=65 slot=65 connection from ::1 to ::1
[03/May/2016:08:08:39.431121496 -0400] conn=1728 op=0 BIND dn="cn=Directory Manager" method=128 version=3
[03/May/2016:08:08:39.431166098 -0400] conn=1728 op=0 RESULT err=0 tag=97 nentries=0 etime=0 dn="cn=directory manager"
[03/May/2016:08:08:39.431230539 -0400] conn=1728 op=1 SRCH base="uid=ND'Silva1572145084,ou=Product Testing,dc=example,dc=com" scope=0 filter="(objectClass=*)" attrs="nsAccountLock lastLoginTime createTimestamp modifyTimestamp"
[03/May/2016:08:08:39.431310520 -0400] conn=1728 op=1 RESULT err=0 tag=101 nentries=1 etime=0
[03/May/2016:08:08:39.431457099 -0400] conn=1728 op=2 UNBIND
[03/May/2016:08:08:39.431465282 -0400] conn=1728 op=2 fd=65 closed - U1

Error logs
=============
[root@ibm-x3250m4-04 ~]# tail -f /var/log/dirsrv/slapd-ibm-x3250m4-04/errors
[03/May/2016:03:23:46.414200205 -0400] import userRoot: Flushing caches...
[03/May/2016:03:23:46.430883300 -0400] import userRoot: Closing files...
[03/May/2016:03:23:46.699904012 -0400] All database threads now stopped
[03/May/2016:03:23:46.714312131 -0400] import userRoot: Import complete.  Processed 9 entries in 1 seconds. (9.00 entries/sec)
[03/May/2016:03:23:47.219209278 -0400] 389-Directory/1.3.5.2 B2016.098.1751 starting up
[03/May/2016:03:23:47.264279039 -0400] Db home directory is not set. Possibly nsslapd-directory (optionally nsslapd-db-home-directory) is missing in the config file.
[03/May/2016:03:23:47.281378711 -0400] resizing db cache size: 99094528 -> 10000000
[03/May/2016:03:23:47.476285254 -0400] convert_pbe_des_to_aes:  Checking for DES passwords to convert to AES...
[03/May/2016:03:23:47.498821724 -0400] convert_pbe_des_to_aes - No DES passwords found to convert.
[03/May/2016:03:23:47.522950229 -0400] slapd started.  Listening on All Interfaces port 389 for LDAP requests



Expected results:
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
 should not come along with the result

Comment 2 Noriko Hosoi 2016-05-03 16:33:55 UTC
Upstream ticket:
https://fedorahosted.org/389/ticket/48815

Comment 3 mreynolds 2016-05-03 20:57:51 UTC
Fixed upstream.

Comment 5 Amita Sharma 2016-06-10 12:54:21 UTC
[root@mgmt7 sbin]# rpm -qa | grep 389-ds-base
389-ds-base-1.3.5.2-1.el7.x86_64
389-ds-base-libs-1.3.5.2-1.el7.x86_64


[root@mgmt7 sbin]# /usr/sbin/ns-accountstatus.pl -D "cn=Directory Manager" -w Secret123 -Z slapd-mgmt7 -p 389 -h localhost -I "uid=sghai,dc=example,dc=com"
Can not find suffix for entry uid=sghai,dc=example,dc=com

Error Logs ::
--------------
[10/Jun/2016:05:45:35.378183529 -0400] conn=100 op=0 ENTRY dn=""
[10/Jun/2016:05:46:03.328607321 -0400] conn=101 op=0 ENTRY dn=""
[10/Jun/2016:05:46:03.376549269 -0400] conn=102 op=1 ENTRY dn="uid=sghai,dc=example,dc=com"
[10/Jun/2016:05:46:03.432735821 -0400] conn=104 op=1 ENTRY dn="cn=Account Policy Plugin,cn=plugins,cn=config"
[10/Jun/2016:05:46:03.460705076 -0400] conn=105 op=1 ENTRY dn="cn=config,cn=Account Policy Plugin,cn=plugins,cn=config"
[10/Jun/2016:05:46:03.488767347 -0400] conn=106 op=1 ENTRY dn="uid=sghai,dc=example,dc=com"
[10/Jun/2016:05:46:03.516808110 -0400] conn=107 op=1 ENTRY dn="cn=Account Inactivation Policy,dc=example,dc=com"
[10/Jun/2016:05:46:03.545035184 -0400] conn=108 op=1 ENTRY dn="uid=sghai,dc=example,dc=com"
[10/Jun/2016:05:46:32.660673381 -0400] conn=114 op=0 ENTRY dn=""
[10/Jun/2016:05:46:59.278684830 -0400] conn=115 op=0 ENTRY dn=""

Access Logs::
------------------
[root@mgmt7 ~]# tail -f /var/log/dirsrv/slapd-mgmt7/errors
[10/Jun/2016:04:47:31.505256212 -0400] slapd shutting down - waiting for 28 threads to terminate
[10/Jun/2016:04:47:31.529145622 -0400] slapd shutting down - closing down internal subsystems and plugins
[10/Jun/2016:04:47:31.597251880 -0400] Waiting for 4 database threads to stop
[10/Jun/2016:04:47:31.951726876 -0400] All database threads now stopped
[10/Jun/2016:04:47:31.979254795 -0400] slapd shutting down - freed 1 work q stack objects - freed 1 op stack objects
[10/Jun/2016:04:47:32.136418205 -0400] slapd stopped.
[10/Jun/2016:04:47:32.403402791 -0400] 389-Directory/1.3.5.2 B2016.125.1914 starting up
[10/Jun/2016:04:47:32.641485451 -0400] convert_pbe_des_to_aes:  Checking for DES passwords to convert to AES...
[10/Jun/2016:04:47:32.672472551 -0400] convert_pbe_des_to_aes - No DES passwords found to convert.
[10/Jun/2016:04:47:32.694026232 -0400] slapd started.  Listening on All Interfaces port 389 for LDAP requests

[10/Jun/2016:05:09:59.861084705 -0400] NS7bitAttr - MODIFY begin
[10/Jun/2016:05:11:08.464778269 -0400] NS7bitAttr - MODIFY begin


More Information ::
===================
1. it was introduced by c39bed2e05cca1c73354dcca9f39f3d90594dc9a
2. it does search in the mapping tree entry with the filter cn=dc=example,dc=com, when it should search for cn="dc=example,dc=com"
3. http://pastebin.test.redhat.com/382562

Comment 6 mreynolds 2016-06-10 14:25:41 UTC
Reproduced issue.  There is a patch out for review...

Comment 7 mreynolds 2016-06-10 17:30:57 UTC
Fixed upstream

Comment 8 Amita Sharma 2016-06-29 07:29:41 UTC
389-ds-base-1.3.5.6-1.el7.x86_64

I have executed the steps mentioned in comment#0 and it is working fine.
Marking the bug as verified.
Thanks Mark and Noriko.

Comment 10 errata-xmlrpc 2016-11-03 20:41:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2594.html


Note You need to log in before you can comment on or make changes to this bug.